package com.tzld.piaoquan.recommend.server.common.enums;

public enum VlogFeatureGroup {

    // video
    APPTYP,
    VIDEOID,
    MID,
    UID,
    MACHINEINFO_BRAND,
    MACHINEINFO_MODEL,
    MACHINEINFO_PLATFORM,
    MACHINEINFO_SDKVERSION,
    MACHINEINFO_SYSTEM,
    MACHINEINFO_WECHATVERSION,

    UP_ID,
    TITLE_LEN,
    PLAY_LEN,
    TOTAL_TIME,
    DAYS_SINCE_UPLOAD,
    DAY,
    WEEK,
    HOUR,

    USER_CYCLE_BUCKET_7DAY,
    USER_CYCLE_BUCKET_30DAY,
    USER_SHARE_BUCKET_30DAY,
    ;


    private final byte[] idBytes;
    private final byte[] nameBytes;

    VlogFeatureGroup() {
        this.nameBytes = name().toLowerCase().getBytes();
        this.idBytes = String.valueOf(ordinal()).getBytes();
    }

    public final int getId() {
        return ordinal();
    }

    public final String getGroupName() {
        return name().toLowerCase();
    }

    public final byte[] getGroupNameBytes() {
        return getGroupName().getBytes();
    }

    public final byte[] getIdBytes() {
        return idBytes;
    }

}
