package com.tzld.piaoquan.recommend.server.service.recall;

import com.tzld.piaoquan.recommend.server.model.Video;
import com.tzld.piaoquan.recommend.server.service.rank.RankParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.*;

/**
 * @author dyp
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class RecallResult {
    private List<RecallData> data;

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class RecallData {
        private String pushFrom;
        private List<Video> videos;
    }

    public List<Video> mergeRecallVideos() {
        HashSet<Video>  rankItems = new HashSet<Video>();
        for(int i=0; i < data.size(); i++){
            for(int j=0; j < data.get(i).videos.size(); j++)
            rankItems.add(data.get(i).videos.get(j));
        }
        List<Video> tmpList = new ArrayList<>(rankItems.size());
        Collections.addAll(Arrays.asList(rankItems.toArray()), tmpList);

        return tmpList;
    }

}
