package com.tzld.piaoquan.recommend.server.common.base;

import lombok.Data;

@Data
public class ItemFeature {
    private String videoId;

    private String upId;

    private String tags;

    /**
     * 有多个标题，暂时不会用到所以先不处理
     * @since 2023-12-05
     */
    private String title;

    private String titleLength;

    private String playLength;

    private String totalTime;

    private String daysSinceUpload;


    // 当天统计量信息
    private UserActionFeature item_day1_cnt_features;
    // 3天内统计量
    private UserActionFeature item_day3_cnt_features;
    // 7天内统计量
    private UserActionFeature item_day7_cnt_features;
    // 3个月统计量
    private UserActionFeature item_month3_cnt_features;

}
