package com.tzld.piaoquan.recommend.server.common.base;

import lombok.Data;

import java.util.Map;

@Data
public class UserFeature {
    private String mid;
    private String uid;

    // 当天统计量信息
    private UserActionFeature day1_cnt_features;
    // 3天内统计量
    private UserActionFeature day3_cnt_features;
    // 7天内统计量
    private UserActionFeature day7_cnt_features;
    // 3个月统计量
    private UserActionFeature month3_cnt_features;
    // 用户行为周期
    private String user_cycle_bucket_7days;
    private String user_cycle_bucket_30days;
    private String user_share_bucket_30days;

}
